#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Sat May 11 11:22:27 2019

@author: martindrech
"""

from PyQt5 import QtWidgets
from PyQt5 import QtGui
from subclasses.cameraParameterTree import CameraParameterTree
import pyqtgraph as pg



class CameraParameterFrame(QtWidgets.QFrame):

    def __init__(self):
        super().__init__()
        
        self.grid = QtWidgets.QGridLayout()
        self.setLayout(self.grid)
        
        self.paramTree = CameraParameterTree()
        self.grid.addWidget(self.paramTree.t, 0, 0, 1, 2)
       
        
        self.saveButton = QtWidgets.QPushButton('Save') 
        self.loadButton = QtWidgets.QPushButton('Load')
        self.saveToButton = QtWidgets.QPushButton('Save To')
        self.loadFromButton = QtWidgets.QPushButton('Load From')
        self.grid.addWidget(self.saveButton, 1, 0)
        self.grid.addWidget(self.loadButton, 1, 1)
        self.grid.addWidget(self.saveToButton, 2, 0)
        self.grid.addWidget(self.loadFromButton, 2, 1)
        

        self.grid.addWidget(QtWidgets.QLabel(
                'Roi X Position'), 3, 0)
        self.grid.addWidget(QtWidgets.QLabel(
                'Roi Y Position'), 3, 1)
        self.RoiXPosSb = pg.SpinBox()
        self.RoiYPosSb = pg.SpinBox()
        self.grid.addWidget(self.RoiXPosSb, 4, 0)
        self.grid.addWidget(self.RoiYPosSb, 4, 1)
        self.grid.addWidget(QtWidgets.QLabel(
                'Roi X Size'), 5, 0)
        self.grid.addWidget(QtWidgets.QLabel(
                'Roi Y Size'), 5, 1)
        self.RoiXPosSb = pg.SpinBox()
        self.RoiYPosSb = pg.SpinBox()
        self.grid.addWidget(self.RoiXPosSb, 6, 0)
        self.grid.addWidget(self.RoiYPosSb, 6, 1)
        
        
        
        
        
        self.make_connections()
        self.show()

    def make_connections(self):
        self.saveButton.clicked.connect(self.paramTree.save)
        self.loadButton.clicked.connect(self.paramTree.load)
        self.saveToButton.clicked.connect(self.paramTree.save_to)
        self.loadFromButton.clicked.connect(self.paramTree.load_from)
        
        
if __name__ == '__main__':
    import sys
    app = QtWidgets.QApplication([])
    frame = CameraParameterFrame()
    frame.resize(300, 600)
    sys.exit(app.exec_())
    